#include <stdlib.h>

#include <stdio.h>
#include <unistd.h>

#include <OS.h>


void
print_system_info(system_info& infoSystem)
{
	get_system_info(&infoSystem);
	printf("------- memory info ------------\n");
	printf(" available memory: \t%ld MB\n", (infoSystem.max_pages * 4096) / (1024 * 1024));
	printf(" used memory: \t\t%ld MB\n", (infoSystem.used_pages * 4096) / (1024 * 1024));
	printf(" free memory: \t\t%ld MB\n", ((infoSystem.max_pages - infoSystem.used_pages) * 4096) / (1024 * 1024));
	printf("--------------------------------\n");
}


int
main()
{
	system_info info;
	
	while (true) {
		printf("\033[H\033[J"); // clear screen
		print_system_info(info);
		snooze(200000);
	}
	
	return 0;
}
